import { Inventory } from 'src/types';
import assetsDictionnary from '../assetsDictionnary';

const generateInventory = (formatMessage: (arg0: { id: string }) => string): Inventory => {
  return [
    {
      count: 4,
      availableForBelt: 3,
      item: {
        id: 2,
        name: formatMessage({ id: 'elements.name.yellowPotion' }),
        description: formatMessage({ id: 'elements.description.yellowPotion' }),
        img: assetsDictionnary['elements.element1'],
        equippable: true,
        usable: false,
      },
    },
    {
      count: 10,
      availableForBelt: 9,
      item: {
        id: 3,
        name: formatMessage({ id: 'elements.name.orangePotion' }),
        description: formatMessage({ id: 'elements.description.orangePotion' }),
        img: assetsDictionnary['elements.element2'],
        equippable: true,
        usable: false,
      },
    },
    {
      count: 5,
      availableForBelt: 5,
      item: {
        id: 6,
        name: formatMessage({ id: 'elements.name.crazeye' }),
        description: formatMessage({ id: 'elements.description.crazeye' }),
        img: assetsDictionnary['elements.element6'],
        equippable: true,
        usable: true,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
    {
      count: 7,
      availableForBelt: 0,
      item: {
        id: 11,
        name: formatMessage({ id: 'elements.name.quicksilvyr' }),
        description: formatMessage({ id: 'elements.description.quicksilvyr' }),
        img: assetsDictionnary['elements.element10'],
        value: Math.pow(3, 10),
        rank: 10,
        usable: false,
      },
    },
  ];
};

export default generateInventory;
